As from 2018-1016 and under @pellinor agreement, I'm the New Management for TweakScale. From now on, it's all officially my fault!   In a Hurry: Help Wanted! See this post. Current Release:  2.4.6.4 for KSP >= 1.3 (2021-1123) It works fro KSP 1.3.0 to KSP 1.12.x! Seriously! How to check Compatibility on CurseForge. IMPORTANT Users of KSP 1.9.x need to install KSP Recall. Users of KSP 1.11.x ne